import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API
// 查询最高权限报工修改历史记录列表
export function listMaxHistory(query) {
  return request({
    url:baseUrl+ '/business/maxHistory/list',
    method: 'get',
    params: query
  })
}

// 查询最高权限报工修改历史记录详细
export function getMaxHistory(id) {
  return request({
    url: '/business/maxHistory/' + id,
    method: 'get'
  })
}

// 新增最高权限报工修改历史记录
export function addMaxHistory(data) {
  return request({
    url: '/business/maxHistory',
    method: 'post',
    data: data
  })
}

// 修改最高权限报工修改历史记录
export function updateMaxHistory(data) {
  return request({
    url: '/business/maxHistory',
    method: 'put',
    data: data
  })
}

// 删除最高权限报工修改历史记录
export function delMaxHistory(id) {
  return request({
    url: '/business/maxHistory/' + id,
    method: 'delete'
  })
}
